Package org.springframework.beans.factory.xml

# Class UtilNamespaceHandler

java.lang.Object
org.springframework.beans.factory.xml.NamespaceHandlerSupport
org.springframework.beans.factory.xml.UtilNamespaceHandler

All Implemented Interfaces:
  `NamespaceHandler`

public class UtilNamespaceHandler extends NamespaceHandlerSupport
`NamespaceHandler` for the `util` namespace.

Since:
  2.0
Author:
  Rob Harrop, Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`UtilNamespaceHandler()`

## Method Summary

Modifier and Type
Method
Description
`void`
`init()`
Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

### Methods inherited from class org.springframework.beans.factory.xml.NamespaceHandlerSupport

`decorate, parse, registerBeanDefinitionDecorator, registerBeanDefinitionDecoratorForAttribute, registerBeanDefinitionParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UtilNamespaceHandler

public UtilNamespaceHandler()

## Method Details

### init

public void init()
Description copied from interface: `NamespaceHandler`
Invoked by the `DefaultBeanDefinitionDocumentReader` after construction but before any custom elements are parsed.

See Also:
  - `NamespaceHandlerSupport.registerBeanDefinitionParser(String, BeanDefinitionParser)`